http.h File Reference
`#include <ptclib/inetprot.h>`
`#include <ptclib/mime.h>`
`#include <ptclib/url.h>`
`#include <ptlib/ipsock.h>`
`#include <ptlib/pfactory.h>`
`#include <ptclib/html.h>`

Go to the source code of this file.

## Classes

class | PHTTPSpace
| This class describes a name space that a Universal Resource Locator operates in. More...
class | PHTTPSpace::Node
class | PHTTP
| A common base class for TCP/IP socket for the HyperText Transfer Protocol version 1.0 client and server. More...
class | PHTTPClientAuthentication
class | PHTTPClientAuthentication::AuthObject
class | PHTTPClientAuthenticator
class | PHTTPClientBasicAuthentication
class | PHTTPClientDigestAuthentication
class | PHTTPClient
| A TCP/IP socket for the HyperText Transfer Protocol version 1.0. More...
class | PHTTPConnectionInfo
| This object describes the connectiono associated with a HyperText Transport Protocol request. More...
class | PHTTPServer
| A TCP/IP socket for the HyperText Transfer Protocol version 1.0. More...
class | PHTTPRequest
| This object describes a HyperText Transport Protocol request. More...
class | PHTTPAuthority
| This abstract class describes the authorisation mechanism for a Universal Resource Locator. More...
class | PHTTPSimpleAuth
| This class describes the simplest authorisation mechanism for a Universal Resource Locator, a fixed realm, username and password. More...
class | PHTTPMultiSimpAuth
| This class describes the simple authorisation mechanism for a Universal Resource Locator, a fixed realm, multiple usernames and passwords. More...
class | PHTTPResource
| This object describes a HyperText Transport Protocol resource. More...
class | PHTTPString
| This object describes a HyperText Transport Protocol resource which is a string kept in memory. More...
class | PHTTPFile
| This object describes a HyperText Transport Protocol resource which is a single file. More...
class | PHTTPFileRequest
class | PHTTPTailFile
| This object describes a HyperText Transport Protocol resource which is a single file. More...
class | PHTTPDirectory
| This object describes a HyperText Transport Protocol resource which is a set of files in a directory. More...
class | PHTTPDirRequest

## Typedefs

typedef PFactory< PHTTPClientAuthentication > | PHTTPClientAuthenticationFactory

## Functions

| PFACTORY_LOAD (PURL_HttpLoader)

## Typedef Documentation

## PHTTPClientAuthenticationFactory

typedef PFactory<PHTTPClientAuthentication> PHTTPClientAuthenticationFactory

## Function Documentation

## PFACTORY_LOAD()

PFACTORY_LOAD | ( | PURL_HttpLoader |  | ) |